%define vers 1.2.8

Name: mydns
Version: %vers.4
Release: alt1.M41.1
License: GPL
Summary: A MySQL-based Internet DNS server
Group: System/Servers
Url: http://mydns.pl/
Packager: Slava Dubrovskiy <dubrsl@altlinux.ru>
Source0: http://mydns.bboy.net/download/%name-%version.tar.gz
Source1: %name.init
Source2: %name.conf

# Automatically added by buildreq on Sat Jul 05 2008
BuildRequires: cvs libMySQL-devel libssl-devel-static tetex-latex zlib-devel

%define webadminroot /var/www/html/admin
%define admin 0

%description
MyDNS is a free DNS server for UNIX implemented from scratch and
designed to utilize the MySQL database for data storage.

Its primary objectives are stability, security, interoperability,
and speed, though not necessarily in that order.

MyDNS does not include recursive name service, nor a resolver
library. It is primarily designed for organizations with many
zones and/or resource records who desire the ability to perform
real-time dynamic updates on their DNS data via MySQL.

MyDNS starts and is ready to answer questions immediately, no
matter how much DNS data you have in the database. It is extremely
fast and memory-efficient. It includes complete documentation,
including a manual and a FAQ. It supports a few frills, including
round robin DNS, dynamic load balancing, and outgoing AXFR for
non-MyDNS nameservers.

%if %admin
%package admin
Summary: Web admin GUI written in php for %name
Group: System/Servers
Requires: webserver mod_php php-common php-mysql
Requires: %name = %version

%description admin
This package contains a web admin GUI written in php for %name
%endif

%package devel
Summary: Development libraries and headers for %name
Group: Development/C

%description devel
This package contains the development libraries and headers for
%name

%prep
%setup -q -n %name-%vers

# path fix
find -type f | xargs perl -pi -e "s|/usr/local/bin/php|%_bindir/php|g"

%__subst "s|libmysqlclient.so.10|libmysqlclient.so|g" m4/mydns.m4
%__subst "s|libmysqlclient.so.12|libmysqlclient.so|g" m4/mydns.m4
find m4 -type f -print0 | xargs -r0 %__subst "s|/usr/lib |%_libdir |g"


#Fix user and group
%__subst "s|nobody|mydns|g" src/lib/conf.c


%build
%autoreconf
%configure \
    --with-openssl \
    --with-mysql \
    --without-pgsql

# use "--without-pgsql" until people complain about it ;)

%make

# build the pdf
pushd doc
    make pdf
popd

%install
# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

%makeinstall

%__install -d %buildroot%_initdir
%__install -d %buildroot/var/run/%name
%__install -m640 %SOURCE2 %buildroot%_sysconfdir/%name.conf

# install sysv script
%__install -m0755 %SOURCE1 %buildroot%_initdir/%name

# devel stuff
%__install -d %buildroot%_includedir
%__install -d %buildroot%_libdir
%__install src/lib/mydns.h %buildroot%_includedir/
%__install src/lib/libmydns.a %buildroot%_libdir/

%if %admin
%__install -d %buildroot%webadminroot/%name
%__install -m644 contrib/admin.php %buildroot%webadminroot/%name/index.php
%__install -m644 contrib/stats.php %buildroot%webadminroot/%name/
%endif

%find_lang %name

%pre
/usr/sbin/groupadd -r -f %name &> /dev/null ||:
/usr/sbin/useradd -r -g %name -d /dev/null -c 'Mydns name server' -s /bin/false -n %name &> /dev/null ||:

%post
%post_service %name
%install_info %name.info

%preun
%preun_service %name
%uninstall_info %name.info

%files -f %name.lang
%doc AUTHORS BUGS ChangeLog NEWS QUICKSTART* README* TODO doc/*.pdf
%doc contrib/README.alias
%config(noreplace) %attr(0640,root,mydns) %_sysconfdir/%name.conf
%_initdir/%name
%_bindir/*
%_sbindir/*
%_mandir/man?/*
%_infodir/*
%dir %attr(0755,%name,%name) /var/run/%name

%if %admin
%files admin
%doc contrib/README
%dir %webadminroot/%name
%config(noreplace) %attr(0644,root,root) %webadminroot/%name/index.php
%attr(0644,root,root) %webadminroot/%name/stats.php
%endif

%files devel
%_libdir/*.a
%_includedir/*.h

%changelog
* Tue Sep 02 2008 Slava Dubrovskiy <dubrsl@altlinux.org> 1.2.8.4-alt1.M41.1
- Build for M41

* Tue Aug 19 2008 Slava Dubrovskiy <dubrsl@altlinux.org> 1.2.8.4-alt1
- New version

* Sat Jul 19 2008 Slava Dubrovskiy <dubrsl@altlinux.org> 1.2.8-alt2.pre9
- Fix build for x86_64

* Sat Jul 05 2008 Slava Dubrovskiy <dubrsl@altlinux.org> 1.2.8-alt1.pre9
- New version

* Fri Jun 13 2008 Slava Dubrovskiy <dubrsl@altlinux.org> 1.1.0-alt2
- Fix start priority to start after mysql

* Sat Feb 23 2008 Slava Dubrovskiy <dubrsl@altlinux.org> 1.1.0-alt1
- Build for ALT
